Get plan change options
curl --request GET \
--url https://api.instacloud.com/orgs/{orgId}/billing/plan-change \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instacloud.com/orgs/{orgId}/billing/plan-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instacloud.com/orgs/{orgId}/billing/plan-change",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enabled": true,
"canManage": true,
"pending": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromTier": "<string>",
"toTier": "<string>",
"status": "awaiting_payment",
"effectiveAt": "2023-11-07T05:31:56Z",
"includedUsd": 123,
"changeKind": "upgrade",
"renewalAt": "2023-11-07T05:31:56Z",
"cancellable": true,
"paymentUrl": "<string>"
},
"retryKey": "<string>",
"options": [
{
"tier": "free",
"feeCents": 1,
"currency": "usd",
"includedUsd": 1,
"effectiveAt": "2023-11-07T05:31:56Z",
"renewalAt": "2023-11-07T05:31:56Z",
"renewalFeeCents": 1,
"changeKind": "upgrade"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Billing
Get plan change options
Token scope: account · org — read-only tokens allowed.
Read paid-plan change availability, current subscription prices and an authorized pending retry
GET
/
orgs
/
{orgId}
/
billing
/
plan-change
Get plan change options
curl --request GET \
--url https://api.instacloud.com/orgs/{orgId}/billing/plan-change \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instacloud.com/orgs/{orgId}/billing/plan-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instacloud.com/orgs/{orgId}/billing/plan-change",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instacloud.com/orgs/{orgId}/billing/plan-change"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.instacloud.com/orgs/{orgId}/billing/plan-change")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enabled": true,
"canManage": true,
"pending": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fromTier": "<string>",
"toTier": "<string>",
"status": "awaiting_payment",
"effectiveAt": "2023-11-07T05:31:56Z",
"includedUsd": 123,
"changeKind": "upgrade",
"renewalAt": "2023-11-07T05:31:56Z",
"cancellable": true,
"paymentUrl": "<string>"
},
"retryKey": "<string>",
"options": [
{
"tier": "free",
"feeCents": 1,
"currency": "usd",
"includedUsd": 1,
"effectiveAt": "2023-11-07T05:31:56Z",
"renewalAt": "2023-11-07T05:31:56Z",
"renewalFeeCents": 1,
"changeKind": "upgrade"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Session access JWT or an API token (insta_<prefix>_<secret>).